tests: disable apidiff check (#316)

This commit is contained in:
Robert van Gent
2021-08-30 17:57:05 -07:00
committed by GitHub
parent 7e8af29048
commit 3b6fb78a3f
2 changed files with 7 additions and 6 deletions

View File

@@ -21,11 +21,11 @@
# This script expects: # This script expects:
# a) to be run at the root of the repository # a) to be run at the root of the repository
# b) HEAD is pointing to a commit that merges between the pull request and the # b) HEAD is pointing to a commit that merges between the pull request and the
# upstream branch (GITHUB_HEAD_REF). # upstream branch (GITHUB_BASE_REF).
set -euo pipefail set -euo pipefail
UPSTREAM_BRANCH="${GITHUB_HEAD_REF:-master}" UPSTREAM_BRANCH="${GITHUB_BASE_REF:-master}"
echo "Checking for incompatible API changes relative to ${UPSTREAM_BRANCH}..." echo "Checking for incompatible API changes relative to ${UPSTREAM_BRANCH}..."
MASTER_CLONE_DIR="$(mktemp -d)" MASTER_CLONE_DIR="$(mktemp -d)"

View File

@@ -71,9 +71,10 @@ echo "Ensuring that there are no dependencies not listed in ./internal/alldeps..
# For pull requests, check if there are undeclared incompatible API changes. # For pull requests, check if there are undeclared incompatible API changes.
# Skip this if we're already going to fail since it is expensive. # Skip this if we're already going to fail since it is expensive.
if ${result} -eq 0 ]] && [[ ! -z "${GITHUB_HEAD_REF:-x}" ]]; then # CURRENTLY BROKEN
echo # if [[ ${result} -eq 0 ]] && [[ ! -z "${GITHUB_HEAD_REF:-x}" ]]; then
./internal/check_api_change.sh || result=1; # echo
fi # ./internal/check_api_change.sh || result=1;
# fi
exit $result exit $result